#!/bin/bash

# Generate an installer script using the most recent version of qq2clone


{ [[ -e lv_api_do ]] && [[ -e qq2clone ]] &&
  [[ -e "inst_fragment.bash" ]] ; } ||
  { echo "Current working directory does not contain required files"
    exit 1; }

{
  echo "#!/bin/bash"
  echo
  echo "# This script generated automatically by gen_installer.bash"
  echo ""
  echo -n "archive='"
  tar -cz qq2clone lv_api_do | base64
  echo "'"
  echo
  cat inst_fragment.bash
} > qq2clone_installer.bash
chmod +x qq2clone_installer.bash
